# This converts miriad files to fits files. It will not delete any existing
# fits files, so beware.
#
# If this is a feature people want, I can change it to delete the fits files
# before making them again.

import os

# Check if miriad tasks can be run
if os.path.expandvars("$MIRBIN") == "$MIRBIN":
   print ""
   print "MIRIAD tasks cannot be called. " + \
         "Source MIRRC or MIRRC.sh in the MIRIAD directory."
   print ""
   sys.exit(0)

# get the files that have a /image subdirectory. These should be miriad files.
pipe = os.popen("ls */image")
files = pipe.read().split()

for file in files:
	try:
		# take off the /image suffix
		i = file.index('/')
		file = file[0:i]
		
		# write them out to fits
		command = "fits in=" + file + " out=" + file + ".fits op=xyout"
		print command
		os.system(command)
		
	except ValueError:
		pass